De Shure Update Utility stroomlijnt het updaten van de firmware en de software van compatibele Shure-producten. Deze Update Utility ondersteunt Windows en Apple-besturingssystemen en voert hardware-updates uit voor verschillende producten en systemen van Shure.

Kenmerken

U kunt de volgende Shure-hardware updaten met de Shure Update Utility:

  • Audio Network Interfaces
  • Axient® Digital Wireless System
  • Axient® Wireless Management Network
  • GLX-D® Digital Wireless System
  • GLX-D® Advanced Wireless System
  • IntelliMix® P300 Audio Conferencing Processor
  • KSE1500 Electrostatic Earphone System
  • Microflex® Advance™
  • Microflex® Wireless
  • PSM® 1000 Personal Monitor System
  • SBC220/240/250/450/850 and MXCWNCS Networked Charging Station
  • SBRC Shure Battery Rack Charger
  • SCM820 Digital IntelliMix® Automatic Mixer
  • SHA900 Portable Listening Amplifier
  • QLX-D® Digital Wireless Systems
  • UHF-R® Wireless Systems
  • ULX-D® Digital Wireless Systems

Software Versies

Shure Update Utility 2.4.3 (64-bit Windows 7, 8, 10)

Besturingssyste(e)m(en):

64-Bit Windows 7, 8, 10

Release Notes:

IMPORTANT

To update Shure Update Utility version 2.4 or earlier to version 2.4.3, download and re-install from www.shure.com/SUU or through Help > Check for Shure Update Utility updates.

IMPROVEMENTS

  • Support for the following products
    • MXCWAPT Access Point Receiver
    • MXCW640 Wireless Conference Unit
    • MXCWNCS Networked Charging Station
    • SBC220 2-Bay Networked Charging Station
    • SBC240 2-Bay Networked Charging Station
    • P10R+ Bodypack Receiver
  • Bug fixes

KNOWN ISSUES

  • PSM1000 devices with firmware version 1.1.0 or earlier must use Shure Update Utility version 2.4.1 or older.
  • Selecting "Help" > "Check for Shure Update Utility updates" will open Shure.com, which offers the latest version of Shure Update Utility to download. Shure Update Utility version 2.4.2 or greater will not automatically detect new versions.
  • 32-bit Windows:
    • To update Shure Update Utility version 2.2.2 or earlier on a 32-bit Windows system, download version 2.4.2 or greater for 32-bit systems to re-install the software. Older versions of Shure Update Utility will not detect new updates of Shure Update Utility that support 32-bit systems.
    • Shure Update Utility version 2.4.3 for 32-bit systems is compatible with Wireless Workbench 6 version 6.12.1 and earlier.
  • Attempts to download ULXD6/8 transmitter firmware to a ULX-D or QLX-D receiver that is not at the minimum firmware version, shown below, will fail. To update firmware for ULXD6/8 transmitters with ULX-D or QLX-D receivers:
    • Update receivers to the following minimum versions:
      • ULXD4, ULXD4D, ULXD4Q Receivers 2.1.16
      • QLXD4 Receivers 2.1.5
    • Using Shure Update Utility, download ULXD6/8 transmitter firmware to the receivers.
    • Using the FW Update menu on a receiver, update transmitters
  • Microflex Wireless devices running version 1.X firmware must first be updated to version 2.0.5 before being updated to version 3.X or later.
  • USB-C MacBook Pro laptops with the Touch Bar running macOS High Sierra will fail to discover GLX-D devices. We are currently investigating this issue.

NOTES

  • Shure Update Utility is supported on the following operating systems:
    • Windows 7, 8 and 10
    • Mac OS X El Capitan (10.11), Sierra (10.12), and High Sierra (10.13)
  • Installing Shure Update Utility on Windows will also prompt the installation of a USB driver, which must be installed to support updating USB devices, such as GLX-D.
  • USB 2.0 Devices
    • KSE1500, SHA900, and GLX-D must be updated one-at-a-time.
    • USB hubs are not recommended when updating USB 2.0 connected devices. Always connect these devices directly to a USB on the computer running Shure Update Utility.
  • Shure Update Utility 2.4.2 or greater for 64-bit systems is compatible with Wireless Workbench 6.12.2 or later.
  • Shure Update Utility 2.4.2 or greater for 32-bit systems is compatible with Wireless Workbench 6.12. or earlier.

View release notes from earlier versions

Shure Update Utility 2.4.3 (32-bit Windows 7, 8, 10)

Besturingssyste(e)m(en):

32-Bit Windows 7, 8, 10

Release Notes:

IMPORTANT

To update Shure Update Utility version 2.4 or earlier to version 2.4.3, download and re-install from www.shure.com/SUU or through Help > Check for Shure Update Utility updates.

IMPROVEMENTS

  • Support for the following products
    • MXCWAPT Access Point Receiver
    • MXCW640 Wireless Conference Unit
    • MXCWNCS Networked Charging Station
    • SBC220 2-Bay Networked Charging Station
    • SBC240 2-Bay Networked Charging Station
    • P10R+ Bodypack Receiver
  • Bug fixes

KNOWN ISSUES

  • PSM1000 devices with firmware version 1.1.0 or earlier must use Shure Update Utility version 2.4.1 or older.
  • Selecting "Help" > "Check for Shure Update Utility updates" will open Shure.com, which offers the latest version of Shure Update Utility to download. Shure Update Utility version 2.4.2 or greater will not automatically detect new versions.
  • 32-bit Windows:
    • To update Shure Update Utility version 2.2.2 or earlier on a 32-bit Windows system, download version 2.4.2 or greater for 32-bit systems to re-install the software. Older versions of Shure Update Utility will not detect new updates of Shure Update Utility that support 32-bit systems.
    • Shure Update Utility version 2.4.3 for 32-bit systems is compatible with Wireless Workbench 6 version 6.12.1 and earlier.
  • Attempts to download ULXD6/8 transmitter firmware to a ULX-D or QLX-D receiver that is not at the minimum firmware version, shown below, will fail. To update firmware for ULXD6/8 transmitters with ULX-D or QLX-D receivers:
    • Update receivers to the following minimum versions:
      • ULXD4, ULXD4D, ULXD4Q Receivers 2.1.16
      • QLXD4 Receivers 2.1.5
    • Using Shure Update Utility, download ULXD6/8 transmitter firmware to the receivers.
    • Using the FW Update menu on a receiver, update transmitters
  • Microflex Wireless devices running version 1.X firmware must first be updated to version 2.0.5 before being updated to version 3.X or later.
  • USB-C MacBook Pro laptops with the Touch Bar running macOS High Sierra will fail to discover GLX-D devices. We are currently investigating this issue.

NOTES

  • Shure Update Utility is supported on the following operating systems:
    • Windows 7, 8 and 10
    • Mac OS X El Capitan (10.11), Sierra (10.12), and High Sierra (10.13)
  • Installing Shure Update Utility on Windows will also prompt the installation of a USB driver, which must be installed to support updating USB devices, such as GLX-D.
  • USB 2.0 Devices
    • KSE1500, SHA900, and GLX-D must be updated one-at-a-time.
    • USB hubs are not recommended when updating USB 2.0 connected devices. Always connect these devices directly to a USB on the computer running Shure Update Utility.
  • Shure Update Utility 2.4.2 or greater for 64-bit systems is compatible with Wireless Workbench 6.12.2 or later.
  • Shure Update Utility 2.4.2 or greater for 32-bit systems is compatible with Wireless Workbench 6.12. or earlier.

View release notes from earlier versions

Shure Update Utility 2.4.3 (Mac OS X 10.11 -10.13)

Besturingssyste(e)m(en):

OS X El Capitan (10.11), macOS Sierra (10.12), macOS High Sierra (10.13)

Release Notes:

IMPORTANT

To update Shure Update Utility version 2.4 or earlier to version 2.4.3, download and re-install from www.shure.com/SUU or through Help > Check for Shure Update Utility updates.

IMPROVEMENTS

  • Support for the following products
    • MXCWAPT Access Point Receiver
    • MXCW640 Wireless Conference Unit
    • MXCWNCS Networked Charging Station
    • SBC220 2-Bay Networked Charging Station
    • SBC240 2-Bay Networked Charging Station
    • P10R+ Bodypack Receiver
  • Bug fixes

KNOWN ISSUES

  • PSM1000 devices with firmware version 1.1.0 or earlier must use Shure Update Utility version 2.4.1 or older.
  • Selecting "Help" > "Check for Shure Update Utility updates" will open Shure.com, which offers the latest version of Shure Update Utility to download. Shure Update Utility version 2.4.2 or greater will not automatically detect new versions.
  • 32-bit Windows:
    • To update Shure Update Utility version 2.2.2 or earlier on a 32-bit Windows system, download version 2.4.2 or greater for 32-bit systems to re-install the software. Older versions of Shure Update Utility will not detect new updates of Shure Update Utility that support 32-bit systems.
    • Shure Update Utility version 2.4.3 for 32-bit systems is compatible with Wireless Workbench 6 version 6.12.1 and earlier.
  • Attempts to download ULXD6/8 transmitter firmware to a ULX-D or QLX-D receiver that is not at the minimum firmware version, shown below, will fail. To update firmware for ULXD6/8 transmitters with ULX-D or QLX-D receivers:
    • Update receivers to the following minimum versions:
      • ULXD4, ULXD4D, ULXD4Q Receivers 2.1.16
      • QLXD4 Receivers 2.1.5
    • Using Shure Update Utility, download ULXD6/8 transmitter firmware to the receivers.
    • Using the FW Update menu on a receiver, update transmitters
  • Microflex Wireless devices running version 1.X firmware must first be updated to version 2.0.5 before being updated to version 3.X or later.
  • USB-C MacBook Pro laptops with the Touch Bar running macOS High Sierra will fail to discover GLX-D devices. We are currently investigating this issue.

NOTES

  • Shure Update Utility is supported on the following operating systems:
    • Windows 7, 8 and 10
    • Mac OS X El Capitan (10.11), Sierra (10.12), and High Sierra (10.13)
  • Installing Shure Update Utility on Windows will also prompt the installation of a USB driver, which must be installed to support updating USB devices, such as GLX-D.
  • USB 2.0 Devices
    • KSE1500, SHA900, and GLX-D must be updated one-at-a-time.
    • USB hubs are not recommended when updating USB 2.0 connected devices. Always connect these devices directly to a USB on the computer running Shure Update Utility.
  • Shure Update Utility 2.4.2 or greater for 64-bit systems is compatible with Wireless Workbench 6.12.2 or later.
  • Shure Update Utility 2.4.2 or greater for 32-bit systems is compatible with Wireless Workbench 6.12. or earlier.

View release notes from earlier versions

Downloads

Compatibele producten